Name: kde-utils-kcharselect
Summary: Character selector 
Version: 14.12.3
Release: %mkrel 3
Group:	 Graphical desktop/KDE4
License: GPLv2+
URL:     http://utils.kde.org/projects/kcharselect
Source0: http://download.kde.org/stable/%{version}/src/kcharselect-%{version}.tar.xz
BuildRequires: kdelibs-devel 
Requires: kdelibs 

%description
KCharSelect is a tool to select special characters from all installed
fonts and copy them into the clipboard.

%files
%defattr(-,root,root)
%{_kde_bindir}/kcharselect
%{_kde_appsdir}/kcharselect/
%{_kde_datadir}/applications/kde4/KCharSelect.desktop
%{_kde_docdir}/HTML/*/kcharselect/*

%prep
%setup -q -n kcharselect-%version

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/KCharSelect.desktop

%clean
rm -fr %buildroot

%changelog
* Wed Jul 22 2015 pp <pp> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sun Apr 19 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04.0

* Sun Mar 08 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3
